Name:           python-sphinx-airflow-theme
Version:        0.2.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Airflow theme for Sphinx

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/apache/airflow-site/tree/aip-11
Source:         %{pypi_source sphinx_airflow_theme}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'sphinx-airflow-theme' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-sphinx-airflow-theme
Summary:        %{summary}

%description -n python3-sphinx-airflow-theme %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-sphinx-airflow-theme dev


%prep
%autosetup -p1 -n sphinx_airflow_theme-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x dev


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-sphinx-airflow-theme -f %{pyproject_files}


%changelog
%autochangelog